import { Observable } from 'rxjs';
import { PlatformContext } from '@workbench-stack/extension-api';
import { IRegistryExtension, ErrorLike, SettingsCascadeOrError, IConfiguredExtension, IConfiguredRegistryExtension } from '@workbench-stack/extension-api';
import { IGeneratedSettings as ISettings } from '@workbench-stack/core';
export declare function queryConfiguredRegistryExtensions({ queryGraphQL }: Pick<PlatformContext, 'queryGraphQL'>, extensionIDs: string[]): Observable<IConfiguredRegistryExtension[]>;
declare type MinimalRegistryExtension = Pick<IRegistryExtension, 'extensionID' | 'id' | 'url' | 'viewerCanAdminister'> & {
    manifest: {
        raw: string;
    } | null;
};
export declare function toConfiguredRegistryExtension<X extends MinimalRegistryExtension>(extension: X): IConfiguredRegistryExtension<X>;
export declare function isExtensionEnabled(settings: ISettings | ErrorLike | null, extensionID: string): boolean;
export declare function getScriptURLFromExtensionManifest(extension: IConfiguredExtension): string;
export declare function extensionIDsFromSettings(settings: SettingsCascadeOrError): string[];
export {};
